# BankTransactions

Transaktionen

## GET /erp/bank/transactions/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{id}":{"get":{"tags":["BankTransactions"],"summary":"Find an existing Resource by identifier","operationId":"getById_73","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"potentielles Duplikat","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/bank/transactions/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{id}":{"put":{"tags":["BankTransactions"],"summary":"Update existing Resource ","operationId":"update_66","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"potentielles Duplikat","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /erp/bank/transactions/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{id}":{"delete":{"tags":["BankTransactions"],"summary":"Delete an existing Resource","operationId":"delete_62","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/bank/transactions

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions":{"post":{"tags":["BankTransactions"],"summary":"Create new Resource","operationId":"create_62","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"potentielles Duplikat","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/bank/transactions/{transactionId}/{openItemRecordId}/reassignTransaction

> weist eine Transaction einem anderen OP zu

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/{openItemRecordId}/reassignTransaction":{"post":{"tags":["BankTransactions"],"description":"weist eine Transaction einem anderen OP zu","operationId":"reassignTransaction_1","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"openItemRecordId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemTransactionReassignRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemTransactionReassignRequest":{"properties":{"targetOpenItemId":{"type":"integer","format":"int64","description":"neuer OP dem die Transaction zugewiesen werden soll"}}},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"OP-Nummer","readOnly":true},"externalNumber":{"type":"string","description":"Externe OP-Nummer ","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"saldo","readOnly":true},"sumPayments":{"type":"number","description":"Summe gebuchte Zahlungen","readOnly":true},"sumDunnings":{"type":"number","description":"Summe Mahngebühren und Zinsen","readOnly":true},"sumTotalAmount":{"type":"number","description":"Rechnungsbetrag","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"skontierbarer Rechnungsbetrag","readOnly":true},"sumFee":{"type":"number","description":"allgemeine Gebühren","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto1)","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto2)","readOnly":true},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Der momentan gültige zu zahlende Betrag","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Mahnsperre"},"paymentState":{"type":"string","description":"Der Zustand der Zahlung","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Der Mahnzustand","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Die Mahnstufe","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Anzahl Mahnpositionen/Mahnungen für diesen OP","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Ursprüngliches Fälligkeitsdatum","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Fälligkeit in Tagen"},"paymentDueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"paymentDiscount1Amount":{"type":"number","description":"Skontobetrag 1"},"paymentDiscount2Amount":{"type":"number","description":"Skontobetrag 2"},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Verwendungszweck"},"comment":{"type":"string","description":"Kommentar"},"paymentBlock":{"type":"boolean","default":false,"description":"Zahlungssperre"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Valutadatum schreibgeschützt"},"canBeReopened":{"type":"boolean","default":false,"description":"kann wiedereröffet werden"},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseDepositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag in Basiswährung"},"baseSumPayments":{"type":"number","description":"Summe der Zahlungen in Basiswährung"},"baseSumDiscount":{"type":"number","description":"Summe der Abzüge (Skonto usw.) in Basiswährung"},"baseSumDunnings":{"type":"number","description":"Summe der Mahngebühren und Zinsen in Basiswährung"},"baseSumTotalAmount":{"type":"number","description":"Gesamtsumme der Rechnungsbeträge in Basiswährung"},"baseSumDiscountableAmount":{"type":"number","description":"Summe der skontierbaren Rechnungsbeträge in Basiswährung"},"baseBalance":{"type":"number","description":"Offener Betrag (Saldo) in Basiswährung"},"baseSumFee":{"type":"number","description":"allgemeine Gebühren in Basiswährung"},"blockedByDocument":{"type":"boolean","default":false,"description":"Ist der OP durch ein Dokument geblockt?"},"bookingAccountType":{"type":"string","description":"Buchung auf Lieferant oder Kunde bei manuellen OPs","enum":["CUSTOMER","SUPPLIER","AUTOMATIC"],"readOnly":true},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","CLEARING","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"id des records, der diesen storniert hat","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"id der transaction, die diesen record hervorgerufen hat","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"number":{"type":"string","description":"Eine Vorgangsnummer die zur Buchung führte","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Mahnstufe","readOnly":true},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseAmount":{"type":"number","description":"Buchungsbetrag in Basiswährung"},"baseDiscountAmount":{"type":"number","description":"Abzugsbetrag in Basiswährung"},"baseTotalAmount":{"type":"number","description":"Gesamtbetrag in Basiswährung"},"baseDiscountableAmount":{"type":"number","description":"Skontierbarer Gesamtbetrag in Basiswährung"},"baseDunningFee":{"type":"number","description":"Mahngebühren in Basiswährung"},"baseDunningInterest":{"type":"number","description":"Mahnzinsen in Basiswährung"}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Zahlungsplan","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Zahlungsplantyp","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Fälligkeitsregel"},"amount":{"type":"number","description":"Betrag"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"endDate":{"type":"string","format":"date","description":"Enddatum"},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","description":"Aktiv"},"dueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"manualRuleEntries":{"type":"array","description":"manuelle Buchungsvorgaben","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Währung des Zahlungsplans (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Zahlungsplans (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}},"erp-finance-PaymentPlanManualRule":{"description":"manuelle Buchungsvorgaben","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"amount":{"type":"number","description":"Betrag"},"processed":{"type":"boolean","description":"bereits verarbeitet","readOnly":true},"currencyCode":{"type":"string","description":"Währung (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/recalculate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/recalculate":{"post":{"tags":["BankTransactions"],"operationId":"recalculateTransaction","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/match\_with\_payment/{paymentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/match_with_payment/{paymentId}":{"post":{"tags":["BankTransactions"],"operationId":"matchWithPayment","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"paymentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-PaymentAssignment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-OpenItemDistributionResult"}}}}}}}},"components":{"schemas":{"erp-bank-PaymentAssignment":{"properties":{"paymentId":{"type":"integer","format":"int64","description":"Id der Sammellastschrift"},"comment":{"type":"string","description":"Kommentar zur Buchung"},"forceComplete":{"type":"boolean","description":"Soll die Transaktion abgeschlossen und ein Restbetrag als irrelevant verbuicht werden?"}}},"erp-bank-OpenItemDistributionResult":{"properties":{"type":{"type":"string","description":"The result type of the attempt to match open item with transaction","enum":["DONE","TRANSACTION_COMPLETED","TRANSACTION_FORCEFULLY_COMPLETED","TRANSACTION_MARKED_RELEVANT","WITH_OVERPAID_OPEN_ITEMS"]},"amount":{"type":"number","description":"If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant"},"overpaidOpenItems":{"type":"array","description":"If applicable a list of overpaid open items","items":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"OP-Nummer","readOnly":true},"externalNumber":{"type":"string","description":"Externe OP-Nummer ","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"saldo","readOnly":true},"sumPayments":{"type":"number","description":"Summe gebuchte Zahlungen","readOnly":true},"sumDunnings":{"type":"number","description":"Summe Mahngebühren und Zinsen","readOnly":true},"sumTotalAmount":{"type":"number","description":"Rechnungsbetrag","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"skontierbarer Rechnungsbetrag","readOnly":true},"sumFee":{"type":"number","description":"allgemeine Gebühren","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto1)","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto2)","readOnly":true},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Der momentan gültige zu zahlende Betrag","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Mahnsperre"},"paymentState":{"type":"string","description":"Der Zustand der Zahlung","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Der Mahnzustand","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Die Mahnstufe","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Anzahl Mahnpositionen/Mahnungen für diesen OP","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Ursprüngliches Fälligkeitsdatum","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Fälligkeit in Tagen"},"paymentDueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"paymentDiscount1Amount":{"type":"number","description":"Skontobetrag 1"},"paymentDiscount2Amount":{"type":"number","description":"Skontobetrag 2"},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Verwendungszweck"},"comment":{"type":"string","description":"Kommentar"},"paymentBlock":{"type":"boolean","default":false,"description":"Zahlungssperre"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Valutadatum schreibgeschützt"},"canBeReopened":{"type":"boolean","default":false,"description":"kann wiedereröffet werden"},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseDepositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag in Basiswährung"},"baseSumPayments":{"type":"number","description":"Summe der Zahlungen in Basiswährung"},"baseSumDiscount":{"type":"number","description":"Summe der Abzüge (Skonto usw.) in Basiswährung"},"baseSumDunnings":{"type":"number","description":"Summe der Mahngebühren und Zinsen in Basiswährung"},"baseSumTotalAmount":{"type":"number","description":"Gesamtsumme der Rechnungsbeträge in Basiswährung"},"baseSumDiscountableAmount":{"type":"number","description":"Summe der skontierbaren Rechnungsbeträge in Basiswährung"},"baseBalance":{"type":"number","description":"Offener Betrag (Saldo) in Basiswährung"},"baseSumFee":{"type":"number","description":"allgemeine Gebühren in Basiswährung"},"blockedByDocument":{"type":"boolean","default":false,"description":"Ist der OP durch ein Dokument geblockt?"},"bookingAccountType":{"type":"string","description":"Buchung auf Lieferant oder Kunde bei manuellen OPs","enum":["CUSTOMER","SUPPLIER","AUTOMATIC"],"readOnly":true},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","CLEARING","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"id des records, der diesen storniert hat","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"id der transaction, die diesen record hervorgerufen hat","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"number":{"type":"string","description":"Eine Vorgangsnummer die zur Buchung führte","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Mahnstufe","readOnly":true},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseAmount":{"type":"number","description":"Buchungsbetrag in Basiswährung"},"baseDiscountAmount":{"type":"number","description":"Abzugsbetrag in Basiswährung"},"baseTotalAmount":{"type":"number","description":"Gesamtbetrag in Basiswährung"},"baseDiscountableAmount":{"type":"number","description":"Skontierbarer Gesamtbetrag in Basiswährung"},"baseDunningFee":{"type":"number","description":"Mahngebühren in Basiswährung"},"baseDunningInterest":{"type":"number","description":"Mahnzinsen in Basiswährung"}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Zahlungsplan","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Zahlungsplantyp","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Fälligkeitsregel"},"amount":{"type":"number","description":"Betrag"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"endDate":{"type":"string","format":"date","description":"Enddatum"},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","description":"Aktiv"},"dueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"manualRuleEntries":{"type":"array","description":"manuelle Buchungsvorgaben","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Währung des Zahlungsplans (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Zahlungsplans (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}},"erp-finance-PaymentPlanManualRule":{"description":"manuelle Buchungsvorgaben","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"amount":{"type":"number","description":"Betrag"},"processed":{"type":"boolean","description":"bereits verarbeitet","readOnly":true},"currencyCode":{"type":"string","description":"Währung (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/match\_with\_open\_item

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/match_with_open_item":{"post":{"tags":["BankTransactions"],"operationId":"matchWithTransaction","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-OpenItemDistribution"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-OpenItemDistributionResult"}}}}}}}},"components":{"schemas":{"erp-bank-OpenItemDistribution":{"properties":{"openItemId":{"type":"integer","format":"int64","description":"The ID of the open item to be matched with the transaction"},"forceComplete":{"type":"boolean","description":"The total amount to be booked against this combination of open item and transaction"},"distributionLines":{"type":"array","description":"Betragszeilen","items":{"$ref":"#/components/schemas/erp-bank-OpenItemDistributionLine"}}},"required":["distributionLines","openItemId"]},"erp-bank-OpenItemDistributionLine":{"description":"Betragszeilen","properties":{"lineType":{"type":"string","description":"Zeilentyp","enum":["PAYMENT","DUNNING","FEE"]},"businessTransactionId":{"type":"integer","format":"int64","description":"Id des Geschäftsvorfalls"},"amount":{"type":"number","description":"der zu buchende (Mahn-)Betrag/die zu buchende Gebühr"},"discountOrFeeAmount":{"type":"number","description":"enthaltener Skonto oder Mahngebühren"},"comment":{"type":"string","description":"Kommentar"},"dunningRecordId":{"type":"integer","format":"int64","description":"Id of the dunning record to pay towards"}},"required":["amount","lineType"]},"erp-bank-OpenItemDistributionResult":{"properties":{"type":{"type":"string","description":"The result type of the attempt to match open item with transaction","enum":["DONE","TRANSACTION_COMPLETED","TRANSACTION_FORCEFULLY_COMPLETED","TRANSACTION_MARKED_RELEVANT","WITH_OVERPAID_OPEN_ITEMS"]},"amount":{"type":"number","description":"If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant"},"overpaidOpenItems":{"type":"array","description":"If applicable a list of overpaid open items","items":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"OP-Nummer","readOnly":true},"externalNumber":{"type":"string","description":"Externe OP-Nummer ","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"saldo","readOnly":true},"sumPayments":{"type":"number","description":"Summe gebuchte Zahlungen","readOnly":true},"sumDunnings":{"type":"number","description":"Summe Mahngebühren und Zinsen","readOnly":true},"sumTotalAmount":{"type":"number","description":"Rechnungsbetrag","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"skontierbarer Rechnungsbetrag","readOnly":true},"sumFee":{"type":"number","description":"allgemeine Gebühren","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto1)","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum (Skonto2)","readOnly":true},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Der momentan gültige zu zahlende Betrag","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Mahnsperre"},"paymentState":{"type":"string","description":"Der Zustand der Zahlung","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Der Mahnzustand","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Die Mahnstufe","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Anzahl Mahnpositionen/Mahnungen für diesen OP","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Ursprüngliches Fälligkeitsdatum","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Fälligkeit in Tagen"},"paymentDueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"paymentDiscount1Amount":{"type":"number","description":"Skontobetrag 1"},"paymentDiscount2Amount":{"type":"number","description":"Skontobetrag 2"},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Verwendungszweck"},"comment":{"type":"string","description":"Kommentar"},"paymentBlock":{"type":"boolean","default":false,"description":"Zahlungssperre"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Valutadatum schreibgeschützt"},"canBeReopened":{"type":"boolean","default":false,"description":"kann wiedereröffet werden"},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseDepositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag in Basiswährung"},"baseSumPayments":{"type":"number","description":"Summe der Zahlungen in Basiswährung"},"baseSumDiscount":{"type":"number","description":"Summe der Abzüge (Skonto usw.) in Basiswährung"},"baseSumDunnings":{"type":"number","description":"Summe der Mahngebühren und Zinsen in Basiswährung"},"baseSumTotalAmount":{"type":"number","description":"Gesamtsumme der Rechnungsbeträge in Basiswährung"},"baseSumDiscountableAmount":{"type":"number","description":"Summe der skontierbaren Rechnungsbeträge in Basiswährung"},"baseBalance":{"type":"number","description":"Offener Betrag (Saldo) in Basiswährung"},"baseSumFee":{"type":"number","description":"allgemeine Gebühren in Basiswährung"},"blockedByDocument":{"type":"boolean","default":false,"description":"Ist der OP durch ein Dokument geblockt?"},"bookingAccountType":{"type":"string","description":"Buchung auf Lieferant oder Kunde bei manuellen OPs","enum":["CUSTOMER","SUPPLIER","AUTOMATIC"],"readOnly":true},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","CLEARING","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"id des records, der diesen storniert hat","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"id der transaction, die diesen record hervorgerufen hat","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"number":{"type":"string","description":"Eine Vorgangsnummer die zur Buchung führte","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Mahnstufe","readOnly":true},"currencyCode":{"type":"string","description":"Währung des offenen Postens (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des offenen Postens  (ISO-A3)"},"baseAmount":{"type":"number","description":"Buchungsbetrag in Basiswährung"},"baseDiscountAmount":{"type":"number","description":"Abzugsbetrag in Basiswährung"},"baseTotalAmount":{"type":"number","description":"Gesamtbetrag in Basiswährung"},"baseDiscountableAmount":{"type":"number","description":"Skontierbarer Gesamtbetrag in Basiswährung"},"baseDunningFee":{"type":"number","description":"Mahngebühren in Basiswährung"},"baseDunningInterest":{"type":"number","description":"Mahnzinsen in Basiswährung"}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Zahlungsplan","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Zahlungsplantyp","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Fälligkeitsregel"},"amount":{"type":"number","description":"Betrag"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"endDate":{"type":"string","format":"date","description":"Enddatum"},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","description":"Aktiv"},"dueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"manualRuleEntries":{"type":"array","description":"manuelle Buchungsvorgaben","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Währung des Zahlungsplans (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Zahlungsplans (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}},"erp-finance-PaymentPlanManualRule":{"description":"manuelle Buchungsvorgaben","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"amount":{"type":"number","description":"Betrag"},"processed":{"type":"boolean","description":"bereits verarbeitet","readOnly":true},"currencyCode":{"type":"string","description":"Währung (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/mark\_as\_relevant

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/mark_as_relevant":{"post":{"tags":["BankTransactions"],"operationId":"markAsRelevant","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ManualBookingResult"}}}}}}}},"components":{"schemas":{"erp-bank-ManualBookingResult":{"properties":{"type":{"type":"string","description":"The result type of the attempt to manually book transaction","enum":["DONE","TRANSACTION_COMPLETED","TRANSACTION_FORCEFULLY_COMPLETED","TRANSACTION_MARKED_RELEVANT","WITH_OVERPAID_OPEN_ITEMS"]},"amount":{"type":"number","description":"If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant"},"bookingIds":{"type":"array","description":"The ids of the manual bookings if successful","items":{"type":"integer","format":"int64","description":"The ids of the manual bookings if successful"}},"irrelevantBookingId":{"type":"integer","format":"int64","description":"The id of the irrelevancy marker booking if applicable"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/manual\_booking

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/manual_booking":{"post":{"tags":["BankTransactions"],"operationId":"bookManually","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-ManualFinanceBookingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ManualBookingResult"}}}}}}}},"components":{"schemas":{"erp-finance-ManualFinanceBookingRequest":{"properties":{"ledgerBookingAccountDistributions":{"type":"array","description":"list booking account distributions","items":{"$ref":"#/components/schemas/erp-finance-ManualFinanceBookingAccountDistribution"}},"comment":{"type":"string","description":"commentary"},"forceComplete":{"type":"boolean","description":"Unbooked value should be marked as irrelevant"},"notRelevant":{"type":"boolean","description":"transaction is not relevant for business"},"templateId":{"type":"integer","format":"int64","description":"Template Vorlage"}},"required":["comment"]},"erp-finance-ManualFinanceBookingAccountDistribution":{"description":"list booking account distributions","properties":{"ledgerNumber":{"type":"string","description":"FiBu-Konto"},"transactionKey":{"type":"string","description":"Buchungsschlüssel"},"costCenter1":{"type":"string","description":"Kostenstelle"},"documentField1":{"type":"string","description":"Belegfeld 1"},"distributionAmount":{"type":"number","description":"Aufteilungsbetrag"}}},"erp-bank-ManualBookingResult":{"properties":{"type":{"type":"string","description":"The result type of the attempt to manually book transaction","enum":["DONE","TRANSACTION_COMPLETED","TRANSACTION_FORCEFULLY_COMPLETED","TRANSACTION_MARKED_RELEVANT","WITH_OVERPAID_OPEN_ITEMS"]},"amount":{"type":"number","description":"If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant"},"bookingIds":{"type":"array","description":"The ids of the manual bookings if successful","items":{"type":"integer","format":"int64","description":"The ids of the manual bookings if successful"}},"irrelevantBookingId":{"type":"integer","format":"int64","description":"The id of the irrelevancy marker booking if applicable"}}}}}}
```

## POST /erp/bank/transactions/{transactionId}/add\_comment

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/{transactionId}/add_comment":{"post":{"tags":["BankTransactions"],"operationId":"addCommentToTransaction","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransactionComment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-bank-BankTransactionComment":{"properties":{"comment":{"type":"string","description":"the comment to be added to the transaction"},"replace":{"type":"boolean","description":"whether the comment of the transaction should be replaced or added onto"}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/transactions/reset\_state

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/reset_state":{"post":{"tags":["BankTransactions"],"operationId":"resetToCleanState","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /erp/bank/transactions/mark\_as\_not\_relevant

> markiert alle Transaktionen für einen Account bis zum angegebenen Datum als nicht relevant

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"BankTransactions","description":"Transaktionen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/transactions/mark_as_not_relevant":{"post":{"tags":["BankTransactions"],"description":"markiert alle Transaktionen für einen Account bis zum angegebenen Datum als nicht relevant","operationId":"markAsNotRelevant","parameters":[{"name":"accountId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"toDate","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/banktransactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
